Get call behavior
curl --request GET \
--url https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/call-behavior \
--header 'Authorization: Bearer <token>'import requests
url = "https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/call-behavior"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/call-behavior', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Call behavior retrieved successfully",
"data": {
"audio_recording": true,
"background_sound": true,
"background_sound_ambience": "office",
"background_sound_volume": 0.3,
"noise_cancellation": true,
"silence_timeout_seconds": 60,
"max_call_duration_seconds": 1800,
"max_call_duration_message": "Time limit reached. Goodbye!"
}
}Agents
Get call behavior
Returns recording, background sound (on/off + ambience + volume), noise cancellation, silence timeout, and max call duration settings.
GET
/
api
/
v1
/
agents
/
{uuid}
/
call-behavior
Get call behavior
⌘I